_etmv4_context_t Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv4.h>`

## Public Attributes

struct {
uint32_t EL:2
| exception level. More...
uint32_t SF:1
| sixty four bit More...
uint32_t NS:1
| none secure More...
uint32_t updated:1
| updated this context packet (otherwise same as last time) More...
uint32_t updated_c:1
| updated CtxtID More...
uint32_t updated_v:1
| updated VMID More...
}; |
uint32_t | ctxtID
| Current ctxtID. More...
uint32_t | VMID
| current VMID More...

## Detailed Description

Definition at line 161 of file trc_pkt_types_etmv4.h.

## Member Data Documentation

## @11

struct { ... }

## ctxtID

uint32_t _etmv4_context_t::ctxtID

Current ctxtID.

Definition at line 170 of file trc_pkt_types_etmv4.h.

## EL

uint32_t _etmv4_context_t::EL

exception level.

Definition at line 163 of file trc_pkt_types_etmv4.h.

## NS

uint32_t _etmv4_context_t::NS

none secure

Definition at line 165 of file trc_pkt_types_etmv4.h.

## SF

uint32_t _etmv4_context_t::SF

sixty four bit

Definition at line 164 of file trc_pkt_types_etmv4.h.

## updated

uint32_t _etmv4_context_t::updated

updated this context packet (otherwise same as last time)

Definition at line 166 of file trc_pkt_types_etmv4.h.

## updated_c

uint32_t _etmv4_context_t::updated_c

updated CtxtID

Definition at line 167 of file trc_pkt_types_etmv4.h.

## updated_v

uint32_t _etmv4_context_t::updated_v

updated VMID

Definition at line 168 of file trc_pkt_types_etmv4.h.

## VMID

uint32_t _etmv4_context_t::VMID

current VMID

Definition at line 171 of file trc_pkt_types_etmv4.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/etmv4/trc_pkt_types_etmv4.h